Page MenuHomePhabricator

Run roundtrip tests with Parsoid/PHP on scandium
Closed, ResolvedPublic0 Story PointsGoal

Description

This is a tracker task to run roundtrip tests on scandium with Parsoid/PHP.

We will use the same testreduce database we are currently using for Parsoid/JS except that we will switch the roundtrip-test.js script to call Parsoid/PHP instead of Parsoid/JS. This lets us easily track regressions and fixes against the last run of Parsoid/JS.

Event Timeline

ssastry triaged this task as Normal priority.Jul 30 2019, 4:44 PM
ssastry created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2019, 4:44 PM
ssastry moved this task from Backlog to Testing / QA on the Parsoid-PHP board.Jul 30 2019, 4:57 PM
ssastry changed the subtype of this task from "Task" to "Goal".Jul 31 2019, 8:09 PM

Change 528806 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[operations/mediawiki-config@master] Set up a multiversion rest.php endpoint

https://gerrit.wikimedia.org/r/528806

Change 528806 merged by jenkins-bot:
[operations/mediawiki-config@master] Set up a multiversion rest.php endpoint

https://gerrit.wikimedia.org/r/528806

Change 534271 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] ATS/varnish/parsoid-testing: remove directors for parsoid-vd/parsoid-rt

https://gerrit.wikimedia.org/r/534271

ssastry closed this task as Resolved.Sep 4 2019, 9:56 PM
ssastry claimed this task.

We've been running tests and fixing bugs for about 10 days now.

Change 534271 merged by Dzahn:
[operations/puppet@production] ATS/varnish/parsoid-testing: remove directors for parsoid-vd/parsoid-rt

https://gerrit.wikimedia.org/r/534271

Change 534554 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] remove parsoid-vd/parsoid-rt.wikimedia.org

https://gerrit.wikimedia.org/r/534554

Change 534554 merged by Dzahn:
[operations/dns@master] remove parsoid-vd/parsoid-rt.wikimedia.org

https://gerrit.wikimedia.org/r/534554